IPSEC_VERSION_CODE(3)

NAME
ipsec_version_code, ipsec_version_string - get IPsec version code, full version string, copyright notice

SYNOPSIS

#include <libreswan.h>

const char *ipsec_version_code(void);

const char *ipsec_version_string(void);

DESCRIPTION

These functions provide information on version numbering and copyright of the Linux FreeS/WAN IPsec implementation.

Ipsec_version_code returns a pointer to a string constant containing the current IPsec version code, such as “1.92” or “snap2001Nov19b”.

Ipsec_version_string returns a pointer to a string constant giving a full version identification, consisting of the version code preceded by a prefix identifying the software, e.g. “Linux FreeS/WAN 1.92”.

SEE ALSO

ipsec(8)

HISTORY

Written for the FreeS/WAN project by Henry Spencer.

AUTHOR

Paul Wouters
    placeholder to suppress warning